Index: /trunk/src/Yworkdir/Y2sinobad.h
===================================================================
--- /trunk/src/Yworkdir/Y2sinobad.h	(revision 40)
+++ /trunk/src/Yworkdir/Y2sinobad.h	(revision 41)
@@ -6249,16 +6129,15 @@
 	 Yua_dynadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2] );
 	 Yvsmatt (YNBS_ua_dynadv_cen2, YNBI_ua_dynadv_cen2, YMAX_JAC_NBI, &YG1Y_ua_dynadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zfuv_UW_dynadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 if (1==0 || Yk+1>YA3_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zfuv_UW_dynadv_cen2( Yi, Yj, Yk+1, YTemps) += Ytbeta[1];
 	 YG1_zua_dhmf_dynadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_ua_dynadv_cen2, "ua_dynadv_cen2");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6288,31 +6167,30 @@
 	 Yzfuv_UW_dynadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5], Yting[6] );
 	 Yvsmatt (YNBS_zfuv_UW_dynadv_cen2, YNBI_zfuv_UW_dynadv_cen2, YMAX_JAC_NBI, &YG1Y_zfuv_UW_dynadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_wa( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_wa( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_wa( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[2];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, Yk, YTemps-1) += Ytbeta[3];
 	 if (1==0 || Yk-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, Yk-1, YTemps-1) += Ytbeta[4];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, Yk, YTemps-1) += Ytbeta[5];
 	 if (1==0 || Yk-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, Yk-1, YTemps-1) += Ytbeta[6];
-	 Ydbg_nanf ("B: ", YNBI_zfuv_UW_dynadv_cen2, "zfuv_UW_dynadv_cen2");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6342,5 +6220,4 @@
 	 else 
 	 YG4_hmf_TF_dynadv_cen2( Yi, Yj-1, Yk, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_zva_dhmf_dynadv_cen2, "zva_dhmf_dynadv_cen2");
 	 Yting[0]=YS1_hmf_TF_dynadv_cen2( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -6364,5 +6241,4 @@
 	 else 
 	 YG2_hmf_TF_dynadv_cen2( Yi, Yj-1, Yk, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_zua_dhmf_dynadv_cen2, "zua_dhmf_dynadv_cen2");
 
 }
@@ -6391,31 +6267,30 @@
 	 Yhmf_TF_dynadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4], Yting[5] );
 	 Yvsmatt (YNBS_hmf_TF_dynadv_cen2, YNBI_hmf_TF_dynadv_cen2, YMAX_JAC_NBI, &YG1Y_hmf_TF_dynadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[2];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, Yk, YTemps-1) += Ytbeta[3];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[4];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[5];
-	 Ydbg_nanf ("B: ", YNBI_hmf_TF_dynadv_cen2, "hmf_TF_dynadv_cen2");
-
-}
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6427,7 +6302,6 @@
 	 Yrhop(Yi, Yj, Yk)->backward( Yting[0] );
 	 Yvsmatt (YNBS_rhop, YNBI_rhop, YMAX_JAC_NBI, &YG1Y_rhop, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_rhd( Yi, Yj, Yk, YTemps) += Ytbeta[0];
-	 Ydbg_nanf ("B: ", YNBI_rhop, "rhop");
 	 Yting[0]=YS1_tb( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_sb( Yi, Yj, Yk, YTemps);
@@ -6437,9 +6311,8 @@
 	 YG1_tb( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 YG1_sb( Yi, Yj, Yk, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_rhd, "rhd");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6454,12 +6327,11 @@
 	 Ysb(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3] );
 	 Yvsmatt (YNBS_sb, YNBI_sb, YMAX_JAC_NBI, &YG1Y_sb, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sb( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sa( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sa( Yi, Yj, Yk, YTemps) += Ytbeta[2];
 	 YG1_sa_c( Yi, Yj, Yk) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_sb, "sb");
 	 Yting[0]=YS1_tb( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_ta( Yi, Yj, Yk, YTemps-1);
@@ -6469,12 +6341,11 @@
 	 Ytb(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3] );
 	 Yvsmatt (YNBS_tb, YNBI_tb, YMAX_JAC_NBI, &YG1Y_tb, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_tb( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ta( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ta( Yi, Yj, Yk, YTemps) += Ytbeta[2];
 	 YG1_ta_c( Yi, Yj, Yk) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_tb, "tb");
 
 }
@@ -6502,5 +6373,4 @@
 	 YG1_zwt_trazdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[3];
 	 YG1_sa_c( Yi, Yj, Yk) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_sa, "sa");
 	 Yting[0]=YS2_zwisd_trazdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -6521,5 +6391,4 @@
 	 YG1_zwt_trazdf_imp( Yi, Yj, Yk, YTemps) += Ytbeta[3];
 	 YG1_ta_c( Yi, Yj, Yk) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_ta, "ta");
 
 }
@@ -6549,5 +6418,4 @@
 	 else 
 	 YG1_zwt_trazdf_imp( Yi, Yj, Yk-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_sa_de_trazdf_imp, "sa_de_trazdf_imp");
 	 Yting[0]=YS1_zwisd_trazdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -6571,5 +6439,4 @@
 	 else 
 	 YG1_zwt_trazdf_imp( Yi, Yj, Yk-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_ta_de_trazdf_imp, "ta_de_trazdf_imp");
 	 Yting[0]=YS1_zwisd_trazdf_imp( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk-1<0)
@@ -6593,8 +6460,7 @@
 	 else 
 	 YG1_zwt_trazdf_imp( Yi, Yj, Yk-1, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_zwt_trazdf_imp, "zwt_trazdf_imp");
-
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6608,7 +6474,6 @@
 	 Yvsmatt (YNBS_zrhs_sa_trazdf_imp, YNBI_zrhs_sa_trazdf_imp, YMAX_JAC_NBI, &YG1Y_zrhs_sa_trazdf_imp, Yjac[0], Ytbeta);
 	 YG1_sa_traldf_lap( Yi, Yj, Yk, YTemps) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sb( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_zrhs_sa_trazdf_imp, "zrhs_sa_trazdf_imp");
 	 Yting[0]=YS1_ta_traldf_lap( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_tb( Yi, Yj, Yk, YTemps-1);
@@ -6617,7 +6482,6 @@
 	 Yvsmatt (YNBS_zrhs_trazdf_imp, YNBI_zrhs_trazdf_imp, YMAX_JAC_NBI, &YG1Y_zrhs_trazdf_imp, Yjac[0], Ytbeta);
 	 YG1_ta_traldf_lap( Yi, Yj, Yk, YTemps) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_tb( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_zrhs_trazdf_imp, "zrhs_trazdf_imp");
 	 Yting[0]=YS1_zdf_avt_avmu_avmv( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yk+1>YA3_S3dt-1)
@@ -6628,15 +6492,14 @@
 	 Yzwisd_trazdf_imp(Yi, Yj, Yk)->backward( Yting[0], Yting[1] );
 	 Yvsmatt (YNBS_zwisd_trazdf_imp, YNBI_zwisd_trazdf_imp, YMAX_JAC_NBI, &YG1Y_zwisd_trazdf_imp, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zdf_avt_avmu_avmv( Yi, Yj, Yk, YTemps) += Ytbeta[0];
 	 if (1==0 || Yk+1>YA3_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zdf_avt_avmu_avmv( Yi, Yj, Yk+1, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_zwisd_trazdf_imp, "zwisd_trazdf_imp");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6667,5 +6530,4 @@
 	 else 
 	 YG2_zsuv_traldf_lap( Yi, Yj-1, Yk, YTemps) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_sa_traldf_lap, "sa_traldf_lap");
 	 Yting[0]=YS1_ta_ver_traadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_ztuv_traldf_lap( Yi, Yj, Yk, YTemps);
@@ -6691,5 +6553,4 @@
 	 else 
 	 YG2_ztuv_traldf_lap( Yi, Yj-1, Yk, YTemps) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_ta_traldf_lap, "ta_traldf_lap");
 	 Yting[0]=YS1_sb( Yi, Yj, Yk, YTemps-1);
 	 if (1==0 || Yi+1>YA1_S3dt-1)
@@ -6704,15 +6565,14 @@
 	 Yzsuv_traldf_lap(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2] );
 	 Yvsmatt (YNBS_zsuv_traldf_lap, YNBI_zsuv_traldf_lap, YMAX_JAC_NBI, &YG1Y_zsuv_traldf_lap, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sb( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sb( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sb( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_zsuv_traldf_lap, "zsuv_traldf_lap");
 	 Yting[0]=YS1_tb( Yi, Yj, Yk, YTemps-1);
 	 if (1==0 || Yi+1>YA1_S3dt-1)
@@ -6727,19 +6587,18 @@
 	 Yztuv_traldf_lap(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2] );
 	 Yvsmatt (YNBS_ztuv_traldf_lap, YNBI_ztuv_traldf_lap, YMAX_JAC_NBI, &YG1Y_ztuv_traldf_lap, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_tb( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_tb( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_tb( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_ztuv_traldf_lap, "ztuv_traldf_lap");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6757,11 +6616,10 @@
 	 Yvsmatt (YNBS_sa_ver_traadv_cen2, YNBI_sa_ver_traadv_cen2, YMAX_JAC_NBI, &YG1Y_sa_ver_traadv_cen2, Yjac[0], Ytbeta);
 	 YG1_sa_hor_traadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zcens_ver_traadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[1];
 	 if (1==0 || Yk+1>YA3_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zcens_ver_traadv_cen2( Yi, Yj, Yk+1, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_sa_ver_traadv_cen2, "sa_ver_traadv_cen2");
 	 Yting[0]=YS1_ta_hor_traadv_cen2( Yi, Yj, Yk, YTemps);
 	 Yting[1]=YS1_zcent_ver_traadv_cen2( Yi, Yj, Yk, YTemps);
@@ -6774,15 +6632,14 @@
 	 Yvsmatt (YNBS_ta_ver_traadv_cen2, YNBI_ta_ver_traadv_cen2, YMAX_JAC_NBI, &YG1Y_ta_ver_traadv_cen2, Yjac[0], Ytbeta);
 	 YG1_ta_hor_traadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zcent_ver_traadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[1];
 	 if (1==0 || Yk+1>YA3_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_zcent_ver_traadv_cen2( Yi, Yj, Yk+1, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_ta_ver_traadv_cen2, "ta_ver_traadv_cen2");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6799,13 +6656,12 @@
 	 Yzcens_ver_traadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2] );
 	 Yvsmatt (YNBS_zcens_ver_traadv_cen2, YNBI_zcens_ver_traadv_cen2, YMAX_JAC_NBI, &YG1Y_zcens_ver_traadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_wa( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sa( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 if (1==0 || Yk-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sa( Yi, Yj, Yk-1, YTemps-1) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_zcens_ver_traadv_cen2, "zcens_ver_traadv_cen2");
 	 Yting[0]=YS1_wa( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_ta( Yi, Yj, Yk, YTemps-1);
@@ -6817,17 +6673,16 @@
 	 Yzcent_ver_traadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2] );
 	 Yvsmatt (YNBS_zcent_ver_traadv_cen2, YNBI_zcent_ver_traadv_cen2, YMAX_JAC_NBI, &YG1Y_zcent_ver_traadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_wa( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ta( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
 	 if (1==0 || Yk-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ta( Yi, Yj, Yk-1, YTemps-1) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_zcent_ver_traadv_cen2, "zcent_ver_traadv_cen2");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -6859,5 +6714,4 @@
 	 YG2_zcens_hor_traadv_cen2( Yi, Yj-1, Yk, YTemps) += Ytbeta[3];
 	 YG2_zcens_hor_traadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_sa_hor_traadv_cen2, "sa_hor_traadv_cen2");
 	 Yting[0]=YS1_ta_traqsr( Yi, Yj, Yk, YTemps);
 	 if (1==0 || Yi-1<0)
@@ -6883,5 +6737,4 @@
 	 YG2_zcent_hor_traadv_cen2( Yi, Yj-1, Yk, YTemps) += Ytbeta[3];
 	 YG2_zcent_hor_traadv_cen2( Yi, Yj, Yk, YTemps) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_ta_hor_traadv_cen2, "ta_hor_traadv_cen2");
 
 }
@@ -6903,19 +6756,18 @@
 	 Yzcens_hor_traadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
 	 Yvsmatt (YNBS_zcens_hor_traadv_cen2, YNBI_zcens_hor_traadv_cen2, YMAX_JAC_NBI, &YG1Y_zcens_hor_traadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sa( Yi, Yj, Yk, YTemps-1) += Ytbeta[2];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sa( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[3];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sa( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_zcens_hor_traadv_cen2, "zcens_hor_traadv_cen2");
 	 Yting[0]=YS1_ua( Yi, Yj, Yk, YTemps-1);
 	 Yting[1]=YS1_va( Yi, Yj, Yk, YTemps-1);
@@ -6932,19 +6784,18 @@
 	 Yzcent_hor_traadv_cen2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3], Yting[4] );
 	 Yvsmatt (YNBS_zcent_hor_traadv_cen2, YNBI_zcent_hor_traadv_cen2, YMAX_JAC_NBI, &YG1Y_zcent_hor_traadv_cen2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, Yk, YTemps-1) += Ytbeta[1];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ta( Yi, Yj, Yk, YTemps-1) += Ytbeta[2];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ta( Yi, Yj+1, Yk, YTemps-1) += Ytbeta[3];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ta( Yi+1, Yj, Yk, YTemps-1) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_zcent_hor_traadv_cen2, "zcent_hor_traadv_cen2");
 
 }
@@ -6965,5 +6816,4 @@
 	 YG1_sbcgyre_qsr_qns( Yi, Yj, YTemps) += Ytbeta[0];
 	 YG1_ta_sa_trasbc( Yi, Yj, YTemps) += Ytbeta[1];
-	 Ydbg_nanf ("B: ", YNBI_ta_traqsr, "ta_traqsr");
 
 }
@@ -6984,5 +6834,4 @@
 	 #pragma omp atomic
 	 YG1_sa( Yi, Yj, 0, YTemps-1) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_ta_sa_trasbc, "ta_sa_trasbc");
 
 }
@@ -7058,5 +6907,4 @@
 	 YG1_rhop( Yi, Yj, 29, YTemps-1) += Ytbeta[29];
 	 YG1_rhop( Yi, Yj, 30, YTemps-1) += Ytbeta[30];
-	 Ydbg_nanf ("B: ", YNBI_zdfmxl_nmln_hmlp_hmlpt, "zdfmxl_nmln_hmlp_hmlpt");
 	 Yting[0]=YS1_zdf_avt_avmu_avmv( Yi, Yj, 0, YTemps);
 	 Yting[1]=YS1_zdf_avt_avmu_avmv( Yi, Yj, 1, YTemps);
@@ -7124,9 +6972,8 @@
 	 YG1_zdf_avt_avmu_avmv( Yi, Yj, 29, YTemps) += Ytbeta[29];
 	 YG1_zdf_avt_avmu_avmv( Yi, Yj, 30, YTemps) += Ytbeta[30];
-	 Ydbg_nanf ("B: ", YNBI_zdfmxl_hmld, "zdfmxl_hmld");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
+
+}
+}
+#pragma omp parallel for num_threads(16)
 for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
@@ -7207,64 +7054,63 @@
 	 if (1==0 || Yi-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi-1, Yj, 29, YTemps-1) += Ytbeta[3];
 	 if (1==0 || Yi-1<0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi-1, Yj+1, 29, YTemps-1) += Ytbeta[4];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, 29, YTemps-1) += Ytbeta[5];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj+1, 29, YTemps-1) += Ytbeta[6];
 	 if (1==0 || Yi-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi-1, Yj, 1, YTemps-1) += Ytbeta[7];
 	 if (1==0 || Yi-1<0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi-1, Yj+1, 1, YTemps-1) += Ytbeta[8];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj, 1, YTemps-1) += Ytbeta[9];
 	 if (1==0 || Yj+1>YA2_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_ua( Yi, Yj+1, 1, YTemps-1) += Ytbeta[10];
 	 if (1==0 || Yj-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj-1, 29, YTemps-1) += Ytbeta[11];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, 29, YTemps-1) += Ytbeta[12];
 	 if (1==0 || Yi+1>YA1_S3dt-1 || Yj-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi+1, Yj-1, 29, YTemps-1) += Ytbeta[13];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi+1, Yj, 29, YTemps-1) += Ytbeta[14];
 	 if (1==0 || Yj-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj-1, 1, YTemps-1) += Ytbeta[15];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi, Yj, 1, YTemps-1) += Ytbeta[16];
 	 if (1==0 || Yi+1>YA1_S3dt-1 || Yj-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi+1, Yj-1, 1, YTemps-1) += Ytbeta[17];
 	 if (1==0 || Yi+1>YA1_S3dt-1){} 
 	 else 
-	   // #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_va( Yi+1, Yj, 1, YTemps-1) += Ytbeta[18];
-	 Ydbg_nanf ("B: ", YNBI_zdf_avt_avmu_avmv, "zdf_avt_avmu_avmv");
-
-}
-}
-//#pragma omp parallel for num_threads(16)
-for(YY=YA3_S3dt-1; YY>=0; --YY){ 
+
+}
+}
+#pragma omp parallel for num_threads(16)
+for(YY=YA3_S3dt-1; YY>=0; --YY){
   Yk=YY;
 for(Yj=YA2_S3dt-1; Yj>=0; --Yj)
@@ -7284,17 +7130,16 @@
 	 Ybn2_rn2(Yi, Yj, Yk)->backward( Yting[0], Yting[1], Yting[2], Yting[3] );
 	 Yvsmatt (YNBS_bn2_rn2, YNBI_bn2_rn2, YMAX_JAC_NBI, &YG1Y_bn2_rn2, Yjac[0], Ytbeta);
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_tb( Yi, Yj, Yk, YTemps-1) += Ytbeta[0];
 	 if (1==0 || Yk-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_tb( Yi, Yj, Yk-1, YTemps-1) += Ytbeta[1];
-	 //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sb( Yi, Yj, Yk, YTemps-1) += Ytbeta[2];
 	 if (1==0 || Yk-1<0){} 
 	 else 
-	   //	 #pragma omp atomic
+	 #pragma omp atomic
 	 YG1_sb( Yi, Yj, Yk-1, YTemps-1) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_bn2_rn2, "bn2_rn2");
 
 }
@@ -7324,5 +7169,4 @@
 	 YG1_sbcgyre_utau_vtau( Yi, Yj, YTemps) += Ytbeta[2];
 	 YG2_sbcgyre_utau_vtau( Yi, Yj, YTemps) += Ytbeta[3];
-	 Ydbg_nanf ("B: ", YNBI_sbcgyre_wndm, "sbcgyre_wndm");
 	 Ysbcgyre_utau_vtau(Yi, Yj)->backward();
 	 Yting[0]=YS1_sbcgyre_emp( Yi, Yj, YTemps);
@@ -7331,5 +7175,4 @@
 	 Yvsmatt (YNBS_sbcgyre_emps, YNBI_sbcgyre_emps, YMAX_JAC_NBI, &YG1Y_sbcgyre_emps, Yjac[0], Ytbeta);
 	 YG1_sbcgyre_emp( Yi, Yj, YTemps) += Ytbeta[0];
-	 Ydbg_nanf ("B: ", YNBI_sbcgyre_emps, "sbcgyre_emps");
 	 Yting[0]=YS1_sbcgyre_emp1( Yi, Yj, YTemps);
 	 Yting[1]=YS1_sbcgyre_zsumemp_zsurf( 31, 21, YTemps);
@@ -7341,5 +7184,4 @@
 	 YG1_sbcgyre_zsumemp_zsurf( 31, 21, YTemps) += Ytbeta[1];
 	 YG2_sbcgyre_zsumemp_zsurf( 31, 21, YTemps) += Ytbeta[2];
-	 Ydbg_nanf ("B: ", YNBI_sbcgyre_emp, "sbcgyre_emp");
 
 }
@@ -7380,5 +7222,4 @@
 	 YG2_sbcgyre_zsumemp_zsurf( 31, Yj-1, YTemps) += Ytbeta[3];
 	 YG1_sbcgyre_emp1( Yi, Yj, YTemps) += Ytbeta[4];
-	 Ydbg_nanf ("B: ", YNBI_sbcgyre_zsumemp_zsurf, "sbcgyre_zsumemp_zsurf");
 	 Ysbcgyre_emp1(Yi, Yj)->backward();
 	 Yting[0]=YS1_tb( Yi, Yj, 0, YTemps-1);
@@ -7387,5 +7228,4 @@
 	 Yvsmatt (YNBS_sbcgyre_qsr_qns, YNBI_sbcgyre_qsr_qns, YMAX_JAC_NBI, &YG1Y_sbcgyre_qsr_qns, Yjac[0], Ytbeta);
 	 YG1_tb( Yi, Yj, 0, YTemps-1) += Ytbeta[0];
-	 Ydbg_nanf ("B: ", YNBI_sbcgyre_qsr_qns, "sbcgyre_qsr_qns");
 
 }
Index: /trunk/src/solsor_flag.h
===================================================================
--- /trunk/src/solsor_flag.h	(revision 40)
+++ /trunk/src/solsor_flag.h	(revision 41)
@@ -12,5 +12,9 @@
 	3	from	solsor_flag		1  i-1 	j    k  t
 	4	from	solsor_flag		1  i 	j-1  k  t
-} */
+} 
+output 1 : resmax
+oupput 2 : flag (0 -> continue; 1 -> stop)
+
+*/
 
 //jn (current iteration) = Yk+1
@@ -18,7 +22,9 @@
 if (Yk<nmin)
 {
-YS1=0;
+  YS1=0;
+ YS2=0;
 }
-
-if (Yi==0) {
-
+ else {
+   if (Yi==0 & Yj==0) YS1=0
+     
+ } //Yk>=nmin
